include ../../Makefile.cfg
include ../Makefile.cfg

TARGETS = libalchemist_x86.so $(LIBTARGET)
OBJECTS = x86.o

all : $(TARGETS)

clean : 
	-rm $(OBJECTS)

distclean : clean
	-rm $(TARGETS)

lib : $(LIBTARGET)

libalchemist_x86.so : $(LIBTARGET)
	ln -fs $(LIBTARGET) libalchemist_x86.so

$(LIBTARGET) : $(OBJECTS)
	$(LD) -shared $(OBJECTS) -o $(LIBTARGET) $(LDFLAGS)

.SUFFIXES : .c .o

.c.o :
	$(CC) -c $(CFLAGS) -I../../include $<

.PHONY : all clean distclean lib
